[Rubyinstaller-devel] FW: Need Help with One-Click Installer & ActiveTcl

Curt Hibbs curt at hibbs.com
Wed Nov 17 06:08:37 EST 2004



-----Original Message-----
From: Hidetoshi NAGAI [mailto:nagai at ai.kyutech.ac.jp]
Sent: Wednesday, November 17, 2004 3:31 AM
To: ruby-talk ML
Cc: rubyinstaller-devel at rubyforge.org
Subject: Re: Need Help with One-Click Installer & ActiveTcl


From: Hidetoshi NAGAI <nagai at ai.kyutech.ac.jp>
Subject: Re: Need Help with One-Click Installer & ActiveTcl
Date: Wed, 17 Nov 2004 13:38:01 +0900
Message-ID: <20041117.133759.74752457.nagai at ai.kyutech.ac.jp>
> From: "Curt Hibbs" <curt at hibbs.com>
> Subject: Need Help with One-Click Installer & ActiveTcl
> Date: Wed, 17 Nov 2004 01:10:44 +0900
> Message-ID: <EAENKKNOJPMNCDMLDOMLMEGNGMAA.curt at hibbs.com>
> > > I have installed the latest version of the Windows installer (RC9)
> > > and I have ActiveState Tcl8.5 - what do I need to do to have Ruby use
> > > ActiveState Tcl instead of the version bundled with it ?
> 
> Compile tcltklib with ActiveTcl's libraries, 
> and replace tcltklib.so to re-compiled one. 
> Possibly, that is all. 

Complement::
If tcltklib.so is compiled with Tcl/Tk8.5 (original, not ActiveTcl), 
the tcltklib.so is possibly available for ActiveTcl8.5.x.
For the same reason, tcltklib.so compiled with Tcl/Tk8.4.7 is 
possibly available for ActiveTcl8.4.7.
Current tcltklib.so included in the installer (182-14_rc9) works 
with Tcl/Tk8.3.x. So, 182-14_rc9 works with ActiveTcl8.3.x.

Note:: 
tcltklib on 182-14_rc9 has a bug when working with Tcl/Tk8.3.x
(see [ruby-talk:119637]).
-- 
                                  Hidetoshi NAGAI (nagai at ai.kyutech.ac.jp)

---
Incoming mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.788 / Virus Database: 533 - Release Date: 11/1/2004



More information about the Rubyinstaller-devel mailing list